from .stacks import Stacks
from .endpoints import Endpoints
from .containers import Containers


class PortainerService:
    def __init__(self, base_url, token):
        self.base_url = base_url
        self.token = token
        self.stacks = Stacks(base_url, token)
        self.endpoints = Endpoints(base_url, token)
        self.containers = Containers(base_url, token)
